Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.bytecode.spi
Interface ProxyFactoryFactory

All Known Implementing Classes:
  ProxyFactoryFactoryImpl

    public interface ProxyFactoryFactory

An interface for factories of `proxy factory` instances.

Currently used to abstract from the tupizer whether we are using CGLIB or Javassist for lazy proxy generation.

Method Summary
`BasicProxyFactory` | `buildBasicProxyFactory(Class superClass, Class[] interfaces)` Build a proxy factory for basic proxy concerns.
`ProxyFactory` | `buildProxyFactory()` Build a proxy factory specifically for handling runtime lazy loading.

Method Detail

### buildProxyFactory

    ProxyFactory buildProxyFactory()

  Build a proxy factory specifically for handling runtime lazy loading.

  Returns:
    The lazy-load proxy factory.

### buildBasicProxyFactory

    BasicProxyFactory buildBasicProxyFactory(Class superClass,
                                             Class[] interfaces)

  Build a proxy factory for basic proxy concerns. The return should be capable of properly handling newInstance() calls.

  Should build basic proxies essentially equivalent to JDK proxies in terms of capabilities, but should be able to deal with abstract super classes in addition to proxy interfaces.

  Must pass in either superClass or interfaces (or both).

  Parameters:
    `superClass` - The abstract super class (or null if none).
    `interfaces` - Interfaces to be proxied (or null if none).
  Returns:
    The proxy class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.